/*
**  Utilisation de la librairie jQuery
**  http://docs.jquery.com/Downloading_jQuery#Download_jQuery
*/

jQuery(function($) {

    /**
    // Root du template
    **/
    var myRoot = '/wp-content/themes/ff7origin';

    /**
    // Appelle le plugin carousel
    **/
    function getCarousel() {
        $('.carousel').carousel({
            manual: true,
            auto: true,
            speed: 1500,
            frequency: 10000,
            imgPrev: myRoot+'/images/colorbox/btn-prev.png',
            imgNext: myRoot+'/images/colorbox/btn-next.png'
        });

        if($('a[rel=gallerie]').length) {
            $('a[rel=gallerie]').colorbox({
                opacity: 0.5,
                slideshowAuto: false,
                current: 'Image {current}/{total}'
            });
        }
    }

    if($('.carousel').length) {
        var src = $('.carousel').find('img').attr('src');
        $.ajax({
            type: "GET",
            url: myRoot+'/ajax.php',
            data: 'carousel=true&src='+src,
            success: function(data) {
                $('.carousel').find('ul').append(data);
                getCarousel();
            }
        });
    }

    /**
    // Appelle le plugin lightBox
    **/
    if($('a[rel=image]').length) {
        $('a[rel=image]').colorbox({
            opacity: 0.5,
            slideshowAuto: false,
            current: 'Image {current}/{total}'
        });
    }

    /**
    // Gestion de l'affichage des records
    **/
    $('#blocRecords .tools a').click(function() {
        $('#blocRecords .tools .gestion').toggleClass('active');
        $('#blocRecords .tabRecords').toggle();
        return false;
    });
    $('#blocRecords .showAll input').click(function() {
        $('#blocRecords .tabRecords').toggleClass('tabAll');
    });
    if($('#txtFormRecords .wpcf7-response-output').length == true && $('#txtFormRecords .wpcf7-display-none').length == false) {
        $('#txtListRecords').hide();
        $('#blocRecords').hide();
        $('#txtFormRecords').show();
        $('#formRecords').show();
    }
    $('#showFormRecords').click(function() {
        $('#txtListRecords').hide();
        $('#blocRecords').hide();
        $('#txtFormRecords').show();
        $('#formRecords').show();

        return false;
    });
    $('#showRecords').click(function() {
        $('#txtFormRecords').hide();
        $('#formRecords').hide();
        $('#txtListRecords').show();
        $('#blocRecords').show();
        return false;
    });

    /**
    // Gestion de l'affichage de l'univers
    **/
    $('#listeUnivers .pictures a').on('click', function() {
        var li      = $(this).parent();
        var liste   = li.parents('#listeUnivers');
        var myIndex = li.index();
        liste.find('.pictures .active').removeClass('active');
        li.addClass('active');
        liste
          .find('.informations section:visible').hide().end()
          .find('.informations section:eq('+myIndex+')').show();
        return false;
    });
});
